Name:             dtddoc
Version:          1.1.0
Release:          %mkrel 1
Summary:          DTD Documentation Tool
Group:            Development/Java
License:          X11 License
Url:              http://dtddoc.sourceforge.net/
Source0:          http://sourceforge.net/projects/dtddoc/files/dtddoc/1.1.0/DTDDoc_1_1_0.zip
Patch0:           dtddoc-1.1.0-ExtendedDTD.patch
BuildRequires:    ant
BuildRequires:    dtdparser
BuildRequires:    java-devel
BuildRequires:    jhighlight
BuildRequires:    jpackage-utils
BuildRequires:    maven
BuildRequires:    maven-antrun-plugin
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-plugin-jxr
BuildRequires:    maven-pmd-plugin
BuildRequires:    maven-project-info-reports-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    jdepend-maven-plugin
BuildRequires:    regexp
Requires:         dtdparser
Requires:         jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         java
BuildArch:        noarch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
DTDDoc allows to document a DTD like with Javadoc. It
is both an Ant task and a command line tool. Eventually
DTDDoc will be able to check for missing documentation.

%package javadoc
Group:            Development/Java
Summary:          Javadocs for %{name}
Requires:         jpackage-utils

%description javadoc
DTDDoc - DTD Documentation Tool.

This package contains javadoc for %{name}.

%prep
%setup -q -n DTDDoc

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
%patch0 -p0

sed -i "s|<groupId>ant</groupId>|<groupId>org.apache.ant</groupId>|" pom.xml
sed -i "s|<version>1.6.5</version>|<version>1.8.2</version>|" pom.xml

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=net.sf.dtddoc \
  -DartifactId=dtdparser \
  -Dversion=1.20-dtddoc \
  -Dpackaging=jar \
  -Dfile=$(build-classpath dtdparser) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  -e \
  -Dmaven.test.skip=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
   install javadoc:javadoc
   
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/DTDDoc-%{version}.jar \
  %{buildroot}%{_javadir}/dtddoc-%{version}.jar

(
	cd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do 
		ln -sf ${jar} ${jar/-%{version}/}
	done
)

mkdir -p %{buildroot}%{_mavenpomdir}
%add_to_maven_depmap net.sf.dtddoc DTDDoc %{version} JPP dtddoc
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-dtddoc.pom

mkdir -p %{buildroot}%{_javadocdir}/dtddoc
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/dtddoc

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%preun
%update_maven_depmap

%files
%defattr(-,root,root)
%{_javadir}/dtddoc-%{version}.jar
%{_javadir}/dtddoc.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc license.txt readme.txt

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/dtddoc



%changelog

* Wed Oct 19 2011 dams <dams> 1.1.0-1.mga2
+ Revision: 156551
- update mkrel
- update subpackage group

  + gil <gil>
    - imported package dtddoc


* Fri Jul 15 2011 gil <gil> 1.1.0-0.%%mkrel
- initial rpm

